package com.bc_chat.contacts.contract


/**
 * author：Created by zhaohaoting on 2018/1/10 11:51
 * email：526309416@qq.com
 * desc：用户管理
 */

interface UserManagerContract {

    interface Presenter {
        /**
         * 拉黑好友
         */
        fun blackSetting(cuid: String?, isBlack: Int)

        /**
         * 删除好友
         */
        fun deleteFriend(cuid: String?)
    }

    interface View : ReportContract.View {

        fun blackSettingfSuccess(isBlack: Int)

        fun blackSettingFailure(exception: Exception)

        fun deleteFriendSuccess()

        fun deleteFriendFailure(exception: Exception)
    }
}
